Page MenuHomePhabricator

Tool "hackmd" loads assets from github and google
Closed, DeclinedPublic

Description

https://tools.wmflabs.org/hackmd/: https://ghbtns.com/github-btn.html?user=hackmdio&repo=hackmd&type=star&count=true
https://tools.wmflabs.org/hackmd/: https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,400italic,600,600italic,300italic,300|Source+Serif+Pro|Source+Code+Pro:400,300,500&subset=latin,latin-ext
https://tools.wmflabs.org/hackmd/: https://fonts.gstatic.com/s/sourcesanspro/v10/ODelI1aHBYDBqgeIAH2zlFzCdIATDt8zXO3QNtzVeJ8.ttf
https://tools.wmflabs.org/hackmd/: https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGEBls_1aQwi4AfipSOlE3SU.ttf
https://tools.wmflabs.org/hackmd/: https://fonts.gstatic.com/s/sourcesanspro/v10/toadOcfmlt9b38dHJxOBGGvd-IutAbwf5FQ8ZpuI2w4.ttf
https://tools.wmflabs.org/hackmd/: https://api.github.com/repos/hackmdio/hackmd?callback=callback

Loading from external providers are discouraged. Please see parent tasks and J65.

For fonts, you can use https://tools-static.wmflabs.org/fontcdn/css?family=Source+Sans+Pro:400,400italic,600,600italic,300italic,300|Source+Serif+Pro|Source+Code+Pro:400,300,500&subset=latin,latin-ext
I'm not sure about the github star button due to being dynamic content. You may want to setup a proxy or use an alternative static button.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2017, 2:46 PM
bd808 claimed this task.Aug 5 2017, 7:21 PM

It's a half-done attempt to see if making it work as a tool is possible at this point, but I agree that the 3rd-party resources should be eliminated if and when I can actually get the code to work.

Restricted Application added a project: User-bd808. · View Herald TranscriptAug 5 2017, 7:21 PM

For now I've just shut the webservice down.

bd808 triaged this task as Low priority.Aug 7 2017, 4:19 AM
bd808 closed this task as Declined.Nov 17 2017, 4:57 AM

hackmd is being abandoned by the org that was developing it (https://github.com/hackmdio/hackmd/pull/578#issuecomment-336280706) so I'm not going to work on getting it running on toolforge anymore. I may check back in a few months and see if the "community edition" is still getting any updates or not and work on it again then.